> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--pipeline/types/objects/severity-trends-in-pipeline-res.md).

# severityTrendsInPipelineRes

Trend data showing severity distribution over time in pipelines.

### Examples

```graphql
type SeverityTrendsInPipelineRes {
  jobTriggeredAt: String
  info: Int
  low: Int
  medium: Int
  high: Int
  critical: Int
  appox: Int
}
```

### Fields

| Field                   | Description                                   | Supported fields |
| ----------------------- | --------------------------------------------- | ---------------- |
| jobTriggeredAt `String` | Timestamp when the pipeline job was triggered |                  |
| info `Int`              | Number of informational severity issues found |                  |
| low `Int`               | Number of low severity issues found           |                  |
| medium `Int`            | Number of medium severity issues found        |                  |
| high `Int`              | Number of high severity issues found          |                  |
| critical `Int`          | Number of critical severity issues found      |                  |
| appox `Int`             | Number of appoxalypse severity issues found   |                  |

### References

#### Queries using this object:

* [\<?> getSeverityTrendsInPipeline](/api-documentation/api-reference/api--pipeline/queries/get-severity-trends-in-pipeline.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--pipeline/types/objects/severity-trends-in-pipeline-res.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
